(defun c:lmanager ( / lname userclick userclick1 userclick2 fname flist rline pname
                      teststr dirlength len1 len2 filename2 filename3)

  (setq lname nil)

  (setq pname (getvar "DWGPREFIX"))

  (setq flist '("This List Box will Preview the first 10 lines of"
                "a selected Lisp File. Just click on the Select File"
                "button to open the Lisp File Dialog Box"
		"*****************************************************************"
                "If you would like to open the lisp file to edit it"
                "in Notepad, click on the Edit File Button."
		"*****************************************************************"
		"To load the Lisp File click the Load Lisp Button."
		"*****************************************************************"
		"Brought to you by AfraLisp - http://members.tripod.com/~kramage/"))

  (showdialog)

  (princ)

);defun

(defun getlines ()

	(setq lname (getfiled "Select File In Directory To Process" pname "lsp" 0))

	(setq fname (open lname "r"))

	(setq pname (dirstrip lname))

	(setq flist '("Lisp File Preview"))

	(repeat 10

	(setq rline (read-line fname))

	(setq flist (append flist (list rline)))

	);repeat

	(close fname)

  (princ)

);defun

(defun showdialog ()

  (setq userclick nil)

  (setq userclick1 nil)

  (setq userclick2 nil)

  (setq dcl_id (load_dialog "lmanager.dcl"))

  (if (not (new_dialog "lmanager" dcl_id)

      );not

    (exit)

  );if

  (start_list "selections")

  (mapcar 'add_list flist)

  (end_list)

  (if (not lname)

     (progn

	(mode_tile "edit" 1)
	(mode_tile "load" 1)

     )

     (progn

	(mode_tile "edit" 0)
	(mode_tile "load" 0)

     )

  )

  (action_tile

    "edit"

      "(done_dialog) (setq userclick1 T)"

  );action tile

  (action_tile

    "load"

     "(done_dialog) (setq userclick2 T)"

  );action tile

  (action_tile

    "accept"

      "(done_dialog) (setq userclick T)"

  );action tile

    (action_tile

    "cancel"

    "(done_dialog) (setq userclick nil)"

    );action_tile

  (start_dialog)	
				
  (unload_dialog dcl_id)

   (if userclick

    (progn

	 (getlines)

 	 (showdialog)
      
    );progn

  )

   (if userclick1

    (progn

    	(startapp "Notepad.exe" lname)

        (setq userclick1 nil)

    )

  )

   (if userclick2

     (progn

	(load lname)

	(setq userclick2 nil)

	(alert (strcat "\nFile " lname " Loaded"))

     )

  )

(princ)

);defun

(defun dirstrip (filename)
   
   (setq teststr nil)
   
   (setq dirlength (strlen filename))
   
   (setq len1 (- dirlength 4))
   
   (setq filename2 (substr filename 1 len1))
   
   (setq len2 (strlen filename2))
   
   (while (/= teststr "\\")
      
      (progn
         
         (setq teststr (substr filename2 (- len2 1) 1)) 
         
         (setq filename2 (substr filename2 1 len2))
         
      );progn
      
      (setq len2 (- len2 1))
      
   );while
   
   (setq filename3 (substr filename2 1 len2))
   
);defun




(princ)
